Skip to main content
GET
Retrieve a sent email

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the sent email

Response

200 - application/json

A SentEmail object

id
string
required

The ID of the campaign

created_at
string
required

The time when the campaign was created in ISO 8601 format

customer
string | null
required

The ID of the customer that was sent the email

subject
string
required

The subject of the email

sent_at
string | null
required

The time when the email was sent in ISO 8601 format

failed_at
string | null
required

The time when the email failed to send in ISO 8601 format

failed_reason
string | null
required

The reason the email failed to send

to_email_address
string | null
required

The email address the email was sent to

sendgrid_message_id
string | null

Sendgrid's returned message ID

paubox_message_id
string | null

Paubox's returned message ID

postmark_message_id
string | null

Postmark's returned message ID